| Home · All Classes · All Namespaces · Modules · Functions · Files

# TubeInfo Struct Reference
[Structure types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Attributes

- uint identifier
- uint initiator
- uint type
- QString service
- QVariantMap parameters
- uint state

## Detailed Description

Structure type generated from the specification.

A struct (tube ID, initiator handle, tube type, service name, parameters, state) representing a tube, as returned by ListTubes on the Tubes channel type.

## Member Data Documentation

uint identifier

uint initiator

uint type

QString service

QVariantMap parameters

uint state